Package org.bukkit.event.player

# Class PlayerPickupItemEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerPickupItemEvent

All Implemented Interfaces:
  `Cancellable`

Direct Known Subclasses:
  `PlayerPickupArrowEvent`

@Deprecated public class PlayerPickupItemEvent extends PlayerEvent implements Cancellable
Deprecated.
`EntityPickupItemEvent`
Thrown when a player picks an item up from the ground

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerPickupItemEvent(@NotNull Player player, @NotNull Item item, int remaining)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getFlyAtPlayer()`
Deprecated.
Gets if the item will fly at the player
`static @NotNull HandlerList`
`getHandlerList()`
Deprecated.
`@NotNull HandlerList`
`getHandlers()`
Deprecated.
`@NotNull Item`
`getItem()`
Deprecated.
Gets the Item picked up by the player.
`int`
`getRemaining()`
Deprecated.
Gets the amount remaining on the ground, if any
`boolean`
`isCancelled()`
Deprecated.
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Deprecated.
Sets the cancellation state of this event.
`void`
`setFlyAtPlayer(boolean flyAtPlayer)`
Deprecated.
Set if the item will fly at the player

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerPickupItemEvent

public PlayerPickupItemEvent(@NotNull @NotNull Player player, @NotNull @NotNull Item item, int remaining)
Deprecated.

## Method Details

### getItem

@NotNull public @NotNull Item getItem()
Deprecated.
Gets the Item picked up by the player.

Returns:
  Item

### getRemaining

public int getRemaining()
Deprecated.
Gets the amount remaining on the ground, if any

Returns:
  amount remaining on the ground

### setFlyAtPlayer

public void setFlyAtPlayer(boolean flyAtPlayer)
Deprecated.
Set if the item will fly at the player

Cancelling the event will set this value to false.

Parameters:
  `flyAtPlayer` - True for item to fly at player

### getFlyAtPlayer

public boolean getFlyAtPlayer()
Deprecated.
Gets if the item will fly at the player

Returns:
  True if the item will fly at the player

### isCancelled

public boolean isCancelled()
Deprecated.
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Deprecated.
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()
Deprecated.

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()
Deprecated.